Skip to main content
`Ctrl`+`K`

# MatKAIJGetScaledIdentity

Check if both `S` and `T` are scaled identities.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatKAIJGetScaledIdentity(Mat A, PetscBool *identity)

Logically Collective.

## Input Parameter

- A - the `MATKAIJ` matrix

## Output Parameter

- identity - the Boolean value

## See Also

Matrices, `Mat`, `MATKAIJ`, `MatKAIJGetS()`, `MatKAIJGetT()`

## Level

advanced

## Location

src/mat/impls/kaij/kaij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages